Package com.sas.lsaf.security.audit

## Class AuditEntry

- java.lang.Object
- - com.sas.lsaf.core.AbstractIdentifiable
  - - com.sas.lsaf.security.audit.AuditEntry

- All Implemented Interfaces:
    `Identifiable`, `java.io.Serializable`

      public class AuditEntry
      extends AbstractIdentifiable

  AuditEntry contains information from a single audit record that includes the source information, the action performed, when the action was performed, and who performed the action.
  Since:
    1.5
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `AuditEntry.Mode` | The execution mode in which the audit entry was recorded.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AuditEntry​(java.lang.String id, java.util.Date timestamp, java.lang.String userId, java.lang.String action, java.lang.String sourceTypeId, java.lang.String sourceId, java.lang.String sourceName, java.lang.String sourceLocation, AuditEntry.Mode mode)` | It is not intended or recommended that the consumer of this API construct these objects.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.lang.String` | `getAction()` | Gets the action performed.
    `AuditEntry.Mode` | `getMode()` | Gets the mode on which the audit entry was recorded.
    `java.lang.String` | `getSourceId()` | Gets the unique identifier of the object that was acted upon.
    `java.lang.String` | `getSourceLocation()` | Gets the location of the object that was acted upon.
    `java.lang.String` | `getSourceName()` | Gets the name of the object that was acted upon.
    `java.lang.String` | `getSourceTypeId()` | Gets the type identifier of object that was acted upon.
    `java.util.Date` | `getTimestamp()` | Gets the date and time in which the action was performed.
    `java.lang.String` | `getUserId()` | Gets the identifier of the user who performed the action.
    `int` | `hashCode()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class com.sas.lsaf.core.AbstractIdentifiable

      `getId, getTypeId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AuditEntry

          public AuditEntry​(java.lang.String id,
                            java.util.Date timestamp,
                            java.lang.String userId,
                            java.lang.String action,
                            java.lang.String sourceTypeId,
                            java.lang.String sourceId,
                            java.lang.String sourceName,
                            java.lang.String sourceLocation,
                            AuditEntry.Mode mode)

      It is not intended or recommended that the consumer of this API construct these objects. They should only deal with the audit entries returned by the API.
      Parameters:
        `id` - the unique identifier for the entry.
        `timestamp` - the date and time the action was performed.
        `userId` - the user who performed the action.
        `action` - the action that was performed.
        `sourceTypeId` - the type identifier of object that was acted upon.
        `sourceId` - the unique identifier of the object that was acted upon.
        `sourceName` - the name of the object that was acted upon.
        `sourceLocation` - the location of the object that was acted upon.
        `mode` - the mode in which the audit entry was recorded.

  - ### Method Detail

    - #### getUserId

          public java.lang.String getUserId()

      Gets the identifier of the user who performed the action.
      Returns:
        The identifier of the user who performed the action.

    - #### getSourceTypeId

          public java.lang.String getSourceTypeId()

      Gets the type identifier of object that was acted upon.
      Returns:
        The type identifier of object that was acted upon.

    - #### getSourceId

          public java.lang.String getSourceId()

      Gets the unique identifier of the object that was acted upon.
      Returns:
        The unique identifier of the object that was acted upon.

    - #### getSourceLocation

          public java.lang.String getSourceLocation()

      Gets the location of the object that was acted upon.
      Returns:
        The location of the object that was acted upon.

    - #### getSourceName

          public java.lang.String getSourceName()

      Gets the name of the object that was acted upon.
      Returns:
        The name of the object that was acted upon.

    - #### getAction

          public java.lang.String getAction()

      Gets the action performed.
      Returns:
        The action performed.

    - #### getTimestamp

          public java.util.Date getTimestamp()

      Gets the date and time in which the action was performed.
      Returns:
        The date and time in which the action was performed.

    - #### getMode

          public AuditEntry.Mode getMode()

      Gets the mode on which the audit entry was recorded.
      Returns:
        The mode on which the audit entry was recorded.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `AbstractIdentifiable`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `AbstractIdentifiable`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `AbstractIdentifiable`